Name:           python-ibm-eventnotifications
Version:        0.14.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python server SDK for IBM Cloud Event Notifications service

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/IBM/event-notifications-python-admin-sdk
Source:         %{pypi_source ibm_eventnotifications}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ibm-eventnotifications' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ibm-eventnotifications
Summary:        %{summary}

%description -n python3-ibm-eventnotifications %_description


%prep
%autosetup -p1 -n ibm_eventnotifications-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ibm-eventnotifications -f %{pyproject_files}


%changelog
%autochangelog